---@meta

---@class IBPI_CrankTarget_C : IInterface
local IBPI_CrankTarget_C = {}

---@param SourceCrank ABP_Interactable_Crank_C
function IBPI_CrankTarget_C:CrankTargetDeactivated(SourceCrank) end
---@param SourceCrank ABP_Interactable_Crank_C
---@param Increment double
function IBPI_CrankTarget_C:CrankTargetIncrement(SourceCrank, Increment) end
---@param SourceCrank ABP_Interactable_Crank_C
function IBPI_CrankTarget_C:CrankTargetActivated(SourceCrank) end


